import request from '@/utils/request'

// 确认公用工程
export function handleConfirmPublic(data) {
  return request({
    url: '/pssr/public/confirmPublic',
    method: 'put',
    data: data
  })
}

// 驳回公用工程
export function handleTurnDownPublic(data) {
  return request({
    url: '/pssr/public/turnDownPublic',
    method: 'put',
    data: data
  })
}

// 查询公用工程列表
export function listPublic(query) {
  return request({
    url: '/pssr/public/list',
    method: 'get',
    params: query
  })
}

// 查询公用工程详细
export function getPublic(id) {
  return request({
    url: '/pssr/public/' + id,
    method: 'get'
  })
}

// 新增公用工程
export function addPublic(data) {
  return request({
    url: '/pssr/public',
    method: 'post',
    data: data
  })
}

// 修改公用工程
export function updatePublic(data) {
  return request({
    url: '/pssr/public',
    method: 'put',
    data: data
  })
}

//
export function updatePublicBatch(data) {
  return request({
    url: '/pssr/public/editBatch',
    method: 'put',
    data: data
  })
}


// 删除公用工程
export function delPublic(id) {
  return request({
    url: '/pssr/public/' + id,
    method: 'delete'
  })
}

// 导出公用工程
export function exportPublic(query) {
  return request({
    url: '/pssr/public/export',
    method: 'get',
    params: query
  })
}
